GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
gdcm::ValueIO< TDE, TSwap, TType > Class Template Reference

Class to dispatch template calls. More...

`#include <gdcmValueIO.h>`

## Static Public Member Functions

static std::istream & | Read (std::istream &is, Value &v)
static const std::ostream & | Write (std::ostream &os, const Value &v)

## Detailed Description

### template<typename TDE, typename TSwap, typename TType = uint8_t>
class gdcm::ValueIO< TDE, TSwap, TType >

Class to dispatch template calls.

## Member Function Documentation

template<typename TDE , typename TSwap , typename TType = uint8_t>

static std::istream& gdcm::ValueIO< TDE, TSwap, TType >::Read | ( | std::istream & | is,
|  | Value & | v
| ) |  |

static

template<typename TDE , typename TSwap , typename TType = uint8_t>

static const std::ostream& gdcm::ValueIO< TDE, TSwap, TType >::Write | ( | std::ostream & | os,
|  | const Value & | v
| ) |  |

static

The documentation for this class was generated from the following file:

- gdcmValueIO.h